# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.travelwarning',
 'deutschland.travelwarning.api',
 'deutschland.travelwarning.apis',
 'deutschland.travelwarning.model',
 'deutschland.travelwarning.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-travelwarning',
    'version': '0.1.0',
    'description': 'Auswärtiges Amt: Reisewarnungen OpenData Schnittstelle',
    'long_description': '# travelwarning\nReisewarnungen OpenData Schnittstelle. Dies ist die Beschreibung für die Schnittstelle zum Zugriff auf die Daten des [Auswärtigen Amtes](https://www.auswaertiges-amt.de/de/) im Rahmen der [OpenData](https://www.auswaertiges-amt.de/de/open-data-schnittstelle/736118) Initiative.\n## Deaktivierung\nDie Schnittstelle kann deaktiviert werden, in dem Fall wird ein leeres JSON-Objekt zurückgegeben.\n## Fehlerfall\nIm Fehlerfall wird ein leeres JSON-Objekt zurückgegeben.\n## Nutzungsbedingungen\nDie Nutzungsbedingungen sind auf der [OpenData-Schnittstelle](https://www.auswaertiges-amt.de/de/open-data-schnittstelle/736118)\n des Auswärtigen Amtes zu finden. \n\n## Änderungen [(offizielles Changelog)](https://www.auswaertiges-amt.de/de/-/2412916)\n### version [1.2.6](https://www.auswaertiges-amt.de/de/-/2412916) - (08.12.2021)\nEs werden zusätzlich zu jedem Land **Ländercodes** mit jeweils **zwei Buchstaben** mit ausgegeben.\n\nDie Länderkürzel werden bei [`/travelwarning`](#operations-default-getTravelwarning) und [`/travelwarning/{contentId}`](#operations-default-getSingleTravelwarning) in einem neuen Attribut ausgegeben z.B. in: [`/travelwarning/199124`](https://www.auswaertiges-amt.de/opendata/travelwarning/199124).\n### version [1.2.5](https://www.auswaertiges-amt.de/de/-/2412916) (ursprünglich geplant für Ende September 2021)\n`content` (-> Details des Reise- und Sicherheitshinweis) wurde von [`/travelwarning`](#operations-default-getTravelwarning) entfernt -> bitte ab jetzt [`/travelwarning/{contentId}`](#operations-default-getSingleTravelwarning) nutzen um `content` abzufragen\n\n`flagURL` (-> Details des Reise- und Sicherheitshinweis) wurde entfernt -> es werden keine **Flaggen** mehr angeboten\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.2.6\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[travelwarning]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E travelwarning\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import travelwarning\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import travelwarning\nfrom pprint import pprint\nfrom deutschland.travelwarning.api import default_api\nfrom deutschland.travelwarning.model.response_address import ResponseAddress\nfrom deutschland.travelwarning.model.response_download import ResponseDownload\nfrom deutschland.travelwarning.model.response_warning import ResponseWarning\nfrom deutschland.travelwarning.model.response_warnings import ResponseWarnings\n# Defining the host is optional and defaults to https://www.auswaertiges-amt.de/opendata\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = travelwarning.Configuration(\n    host = "https://www.auswaertiges-amt.de/opendata"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith travelwarning.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    \n    try:\n        # Gibt die Merkblätter des Gesundheitsdienstes zurück\n        api_response = api_instance.get_healthcare()\n        pprint(api_response)\n    except travelwarning.ApiException as e:\n        print("Exception when calling DefaultApi->get_healthcare: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.auswaertiges-amt.de/opendata*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**get_healthcare**](docs/DefaultApi.md#get_healthcare) | **GET** /healthcare | Gibt die Merkblätter des Gesundheitsdienstes zurück\n*DefaultApi* | [**get_representatives_country**](docs/DefaultApi.md#get_representatives_country) | **GET** /representativesInCountry | Gibt eine Liste der deutschen Vertretungen im Ausland zurück\n*DefaultApi* | [**get_representatives_germany**](docs/DefaultApi.md#get_representatives_germany) | **GET** /representativesInGermany | Gibt eine Liste der ausländischen Vertretungen in Deutschland zurück\n*DefaultApi* | [**get_single_travelwarning**](docs/DefaultApi.md#get_single_travelwarning) | **GET** /travelwarning/{contentId} | Gibt einen Reise- und Sicherheitshinweis zurück\n*DefaultApi* | [**get_state_names**](docs/DefaultApi.md#get_state_names) | **GET** /stateNames | Gibt das Verzeichnis der Staatennamen zurück\n*DefaultApi* | [**get_travelwarning**](docs/DefaultApi.md#get_travelwarning) | **GET** /travelwarning | Gibt alle Reise- und Sicherheitshinweise zurück\n\n\n## Documentation For Models\n\n - [AdressListe](docs/AdressListe.md)\n - [Adresse](docs/Adresse.md)\n - [Artikel](docs/Artikel.md)\n - [Download](docs/Download.md)\n - [Reisewarnung](docs/Reisewarnung.md)\n - [ReisewarnungZusammenfassung](docs/ReisewarnungZusammenfassung.md)\n - [ResponseAddress](docs/ResponseAddress.md)\n - [ResponseAddressResponse](docs/ResponseAddressResponse.md)\n - [ResponseArtikel](docs/ResponseArtikel.md)\n - [ResponseArtikelResponse](docs/ResponseArtikelResponse.md)\n - [ResponseDownload](docs/ResponseDownload.md)\n - [ResponseDownloadResponse](docs/ResponseDownloadResponse.md)\n - [ResponseWarning](docs/ResponseWarning.md)\n - [ResponseWarningResponse](docs/ResponseWarningResponse.md)\n - [ResponseWarnings](docs/ResponseWarnings.md)\n - [ResponseWarningsResponse](docs/ResponseWarningsResponse.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in travelwarning.apis and travelwarning.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.travelwarning.api.default_api import DefaultApi`\n- `from deutschland.travelwarning.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import travelwarning\nfrom deutschland.travelwarning.apis import *\nfrom deutschland.travelwarning.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/travelwarning-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
